// rollup.config.js

import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import json from '@rollup/plugin-json';

import { rollup } from 'rollup';

export const build = async () => {
  const bundle = await rollup({
    input: 'src/index.ts',
    output: {
      file: 'dist/app.mjs',
      format: 'es',
    },
    watch: {
      include: 'src/**',
    },
    // @ts-ignore
    plugins: [typescript(), resolve(), commonjs(), json()],
  });
};
